From d42c5861b6b1fbba7f9432d6c417470c19c8d612 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Wed, 4 Sep 2024 14:52:56 +1000
Subject: [PATCH v2] fix description for inactive_since

---
 doc/src/sgml/system-views.sgml | 2 +-
 src/include/replication/slot.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/system-views.sgml b/doc/src/sgml/system-views.sgml
index 634a4c0..b162ae2 100644
--- a/doc/src/sgml/system-views.sgml
+++ b/doc/src/sgml/system-views.sgml
@@ -2566,7 +2566,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>inactive_since</structfield> <type>timestamptz</type>
       </para>
       <para>
-        The time since the slot has become inactive.
+        The slot has been inactive since this time.
         <literal>NULL</literal> if the slot is currently being used.
         Note that for slots on the standby that are being synced from a
         primary server (whose <structfield>synced</structfield> field is
diff --git a/src/include/replication/slot.h b/src/include/replication/slot.h
index 45582cf..1820a7a 100644
--- a/src/include/replication/slot.h
+++ b/src/include/replication/slot.h
@@ -205,7 +205,7 @@ typedef struct ReplicationSlot
 	 */
 	XLogRecPtr	last_saved_confirmed_flush;
 
-	/* The time since the slot has become inactive */
+	/* The slot has been inactive since this time. */
 	TimestampTz inactive_since;
 } ReplicationSlot;
 
-- 
1.8.3.1

